wxRuby Documentation Home

# Wx::HyperlinkEvent

This event class is used for the events generated by
HyperlinkCtrl.

## Derived from

CommandEvent

Event

Object

## Event handling

To process input from a HyperlinkCtrl, use one of these event handler macros to
direct input to member function that take a
HyperlinkEvent argument:

evt_hyperlink(id) { | event | … } | User clicked on an hyperlink.

## Methods

- HyperlinkEvent.new
- HyperlinkEvent#get_url
- HyperlinkEvent#set_url

### HyperlinkEvent.new

HyperlinkEvent.new(%(arg-type)Object% generator, Integer id, String url)

The constructor is not normally used by the user code.

### HyperlinkEvent#get_url

String get_url()

Returns the URL of the hyperlink where the user has just clicked.

### HyperlinkEvent#set_url

set_url(%(arg-type)String% url)

Sets the URL associated with the event.

[This page automatically generated from the Textile source at 2023-06-09 00:45:35 +0000]